package cn.com.poc.formreport;

import cn.com.poc.data_analyze.domain.DataAnalyzeTimeRange;

import java.util.Date;
import java.util.List;

/**
 * @author Helen
 * @date 2021/12/21 16:19
 */
public class FormReportRequest {

    /**
     * 请求类型：exchangeLog-兑换记录, internalExchange-积分兑换,  member-会员
     * staff-员工, vipReservation-vip预约, notice-公告
     * Out-出门申请，Activity-活动申请，Ot-加班申请，Broadcast-广播申请
     */
    private String reportRequestType;

    /**
     * 每页数量
     */
    private int pageSize;

    /**
     * 页数
     */
    private int pageNo;

    private Date queryBeginScheduleDate;


    //data analyze api-channel
    /**
     * 应用ID
     */
    private String agentId;

    /**
     * 时间范围
     */
    private DataAnalyzeTimeRange timeRange;


    public String getAgentId() {
        return agentId;
    }

    public void setAgentId(String agentId) {
        this.agentId = agentId;
    }

    public DataAnalyzeTimeRange getTimeRange() {
        return timeRange;
    }

    public void setTimeRange(DataAnalyzeTimeRange timeRange) {
        this.timeRange = timeRange;
    }

    public Date getQueryBeginScheduleDate() {
        return queryBeginScheduleDate;
    }

    public void setQueryBeginScheduleDate(Date queryBeginScheduleDate) {
        this.queryBeginScheduleDate = queryBeginScheduleDate;
    }

    public String getReportRequestType() {
        return reportRequestType;
    }

    public void setReportRequestType(String reportRequestType) {
        this.reportRequestType = reportRequestType;
    }


    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public int getPageNo() {
        return pageNo;
    }

    public void setPageNo(int pageNo) {
        this.pageNo = pageNo;
    }
}
